@charset "UTF-8";
:root {
    --background: #000;
    --text: #fff;
}

.articles {
	display: flex;
	flex-wrap: wrap;
	margin: 0 auto;
	justify-content: center;
	max-width: 1200px;
	gap: 1.5rem;
}

.articles article {
	max-width: 320px;
	width: 100%;
	cursor: pointer;
	position: relative;
	display: block;
	transition: all 0.4s ease-in-out;
	overflow: hidden;
	border-radius: 16px;
	box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.articles article h2 {
	margin: 0 0 0.5rem 0;
	font-size: 1.6rem;
	color: var(--text);
	transition: color 0.3s ease-out;
}


.articles article img {
	max-width: 100%;
	transform-origin: center;
	transition: transform 0.4s ease-in-out;
	height: 100%;
	aspect-ratio: 16 / 9;
	overflow: hidden;
	object-fit: cover;
}

.articles article:hover img {
	transform: scale(1.5);
}

.article-preview {
	padding: 1.5rem;
	background: black;
	color: white;
}

.articles figure {
	width: 100%;
	height: 14rem;
	overflow: hidden;
}